import{s as ir,o as ar,n as lr}from"../chunks/scheduler.9bc65507.js";import{S as gr,i as mr,g as l,s as n,r as d,m as fr,A as dr,h as i,f as t,c as o,j as x,u as p,x as m,n as pr,k as T,y as a,a as s,v as u,d as c,t as b,w as v}from"../chunks/index.707bf1b6.js";import{T as ur}from"../chunks/Tip.c2ecdbf4.js";import{D as w}from"../chunks/Docstring.17db21ae.js";import{C as Ue}from"../chunks/CodeBlock.54a9f38d.js";import{E as cr}from"../chunks/ExampleCodeBlock.4f515aa9.js";import{H as Ut}from"../chunks/Heading.342b1fa6.js";function br(be){let f,L="🤗 Transformers has following logging levels:",h,$,_="<li>50: <code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code></li> <li>40: <code>transformers.logging.ERROR</code></li> <li>30: <code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code></li> <li>20: <code>transformers.logging.INFO</code></li> <li>10: <code>transformers.logging.DEBUG</code></li>";return{c(){f=l("p"),f.textContent=L,h=n(),$=l("ul"),$.innerHTML=_},l(g){f=i(g,"P",{"data-svelte-h":!0}),m(f)!=="svelte-xr075s"&&(f.textContent=L),h=o(g),$=i(g,"UL",{"data-svelte-h":!0}),m($)!=="svelte-1s22l0g"&&($.innerHTML=_)},m(g,y){s(g,f,y),s(g,h,y),s(g,$,y)},p:lr,d(g){g&&(t(f),t(h),t($))}}}function vr(be){let f,L="Enable explicit formatting for every HuggingFace Transformers’s logger. The explicit formatter is as follows:",h,$,_;return $=new Ue({props:{code:"JTIwJTIwJTIwJTIwJTVCTEVWRUxOQU1FJTdDRklMRU5BTUUlN0NMSU5FJTIwTlVNQkVSJTVEJTIwVElNRSUyMCUzRSUzRSUyME1FU1NBR0U=",highlighted:'    [LEVELNAME|<span class="hljs-type">FILENAME</span>|<span class="hljs-type">LINE</span> NUMBER] TIME &gt;&gt; MESSAGE',wrap:!1}}),{c(){f=l("p"),f.textContent=L,h=n(),d($.$$.fragment)},l(g){f=i(g,"P",{"data-svelte-h":!0}),m(f)!=="svelte-1db65t5"&&(f.textContent=L),h=o(g),p($.$$.fragment,g)},m(g,y){s(g,f,y),s(g,h,y),u($,g,y),_=!0},p:lr,i(g){_||(c($.$$.fragment,g),_=!0)},o(g){b($.$$.fragment,g),_=!1},d(g){g&&(t(f),t(h)),v($,g)}}}function $r(be){let f,L,h,$,_,g,y,St="🤗 Transformers has a centralized logging system, so that you can setup the verbosity of the library easily.",Se,D,Pt="Currently the default verbosity of the library is <code>WARNING</code>.",Pe,B,Ft=`To change the level of verbosity, just use one of the direct setters. For instance, here is how to change the verbosity
to the INFO level.`,Fe,O,ke,W,kt=`You can also use the environment variable <code>TRANSFORMERS_VERBOSITY</code> to override the default verbosity. You can set it
to one of the following: <code>debug</code>, <code>info</code>, <code>warning</code>, <code>error</code>, <code>critical</code>. For example:`,De,G,Be,Z,Dt=`Additionally, some <code>warnings</code> can be disabled by setting the environment variable
<code>TRANSFORMERS_NO_ADVISORY_WARNINGS</code> to a true value, like <em>1</em>. This will disable any warning that is logged using
<code>logger.warning_advice</code>. For example:`,Oe,j,We,q,Bt="Here is an example of how to use the same logger as the library in your own module or script:",Ge,X,Ze,Y,Ot=`All the methods of this logging module are documented below, the main ones are
<a href="/docs/transformers/v4.34.0/en/main_classes/logging#transformers.utils.logging.get_verbosity">logging.get_verbosity()</a> to get the current level of verbosity in the logger and
<a href="/docs/transformers/v4.34.0/en/main_classes/logging#transformers.utils.logging.set_verbosity">logging.set_verbosity()</a> to set the verbosity to the level of your choice. In order (from the least
verbose to the most verbose), those levels (with their corresponding int values in parenthesis) are:`,je,z,Wt=`<li><code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code> (int value, 50): only report the most
critical errors.</li> <li><code>transformers.logging.ERROR</code> (int value, 40): only report errors.</li> <li><code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code> (int value, 30): only reports error and
warnings. This the default level used by the library.</li> <li><code>transformers.logging.INFO</code> (int value, 20): reports error, warnings and basic information.</li> <li><code>transformers.logging.DEBUG</code> (int value, 10): report all information.</li>`,qe,K,Gt='By default, <code>tqdm</code> progress bars will be displayed during model download. <a href="/docs/transformers/v4.34.0/en/main_classes/logging#transformers.utils.logging.disable_progress_bar">logging.disable_progress_bar()</a> and <a href="/docs/transformers/v4.34.0/en/main_classes/logging#transformers.utils.logging.enable_progress_bar">logging.enable_progress_bar()</a> can be used to suppress or unsuppress this behavior.',Xe,Q,Ye,M,ee,ht,ve,Zt="Set the verbosity to the <code>ERROR</code> level.",ze,N,te,_t,$e,jt="Set the verbosity to the <code>WARNING</code> level.",Ke,J,re,yt,he,qt="Set the verbosity to the <code>INFO</code> level.",Qe,A,se,xt,_e,Xt="Set the verbosity to the <code>DEBUG</code> level.",et,ne,tt,C,oe,Tt,ye,Yt="Return the current level for the 🤗 Transformers’s root logger as an int.",wt,F,rt,V,le,Ct,xe,zt="Set the verbosity level for the 🤗 Transformers’s root logger.",st,R,ie,Rt,Te,Kt="Return a logger with the specified name.",Et,we,Qt="This function is not supposed to be directly accessed unless you are writing a custom transformers module.",nt,H,ae,Lt,Ce,er="Enable the default handler of the HuggingFace Transformers’s root logger.",ot,U,ge,It,Re,tr="Disable the default handler of the HuggingFace Transformers’s root logger.",lt,I,me,Mt,k,Nt,it,E,fe,Jt,Ee,rr="Resets the formatting for HuggingFace Transformers’s loggers.",At,Le,sr="All handlers currently bound to the root logger are affected by this method.",at,S,de,Vt,Ie,nr="Enable tqdm progress bar.",gt,P,pe,Ht,Me,or="Disable tqdm progress bar.",mt,Ve,ft;return _=new Ut({props:{title:"Logging",local:"logging",headingTag:"h1"}}),O=new Ue({props:{code:"aW1wb3J0JTIwdHJhbnNmb3JtZXJzJTBBJTBBdHJhbnNmb3JtZXJzLmxvZ2dpbmcuc2V0X3ZlcmJvc2l0eV9pbmZvKCk=",highlighted:`<span class="hljs-keyword">import</span> transformers

transformers.logging.set_verbosity_info()`,wrap:!1}}),G=new Ue({props:{code:"VFJBTlNGT1JNRVJTX1ZFUkJPU0lUWSUzRGVycm9yJTIwLiUyRm15cHJvZ3JhbS5weQ==",highlighted:"TRANSFORMERS_VERBOSITY=error ./myprogram.py",wrap:!1}}),j=new Ue({props:{code:"VFJBTlNGT1JNRVJTX05PX0FEVklTT1JZX1dBUk5JTkdTJTNEMSUyMC4lMkZteXByb2dyYW0ucHk=",highlighted:"TRANSFORMERS_NO_ADVISORY_WARNINGS=1 ./myprogram.py",wrap:!1}}),X=new Ue({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycy51dGlscyUyMGltcG9ydCUyMGxvZ2dpbmclMEElMEFsb2dnaW5nLnNldF92ZXJib3NpdHlfaW5mbygpJTBBbG9nZ2VyJTIwJTNEJTIwbG9nZ2luZy5nZXRfbG9nZ2VyKCUyMnRyYW5zZm9ybWVycyUyMiklMEFsb2dnZXIuaW5mbyglMjJJTkZPJTIyKSUwQWxvZ2dlci53YXJuaW5nKCUyMldBUk4lMjIp",highlighted:`<span class="hljs-keyword">from</span> transformers.utils <span class="hljs-keyword">import</span> logging

logging.set_verbosity_info()
logger = logging.get_logger(<span class="hljs-string">&quot;transformers&quot;</span>)
logger.info(<span class="hljs-string">&quot;INFO&quot;</span>)
logger.warning(<span class="hljs-string">&quot;WARN&quot;</span>)`,wrap:!1}}),Q=new Ut({props:{title:"Base setters",local:"transformers.utils.logging.set_verbosity_error",headingTag:"h2"}}),ee=new w({props:{name:"transformers.utils.logging.set_verbosity_error",anchor:"transformers.utils.logging.set_verbosity_error",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.34.0/src/transformers/utils/logging.py#L195"}}),te=new w({props:{name:"transformers.utils.logging.set_verbosity_warning",anchor:"transformers.utils.logging.set_verbosity_warning",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.34.0/src/transformers/utils/logging.py#L185"}}),re=new w({props:{name:"transformers.utils.logging.set_verbosity_info",anchor:"transformers.utils.logging.set_verbosity_info",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.34.0/src/transformers/utils/logging.py#L180"}}),se=new w({props:{name:"transformers.utils.logging.set_verbosity_debug",anchor:"transformers.utils.logging.set_verbosity_debug",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.34.0/src/transformers/utils/logging.py#L190"}}),ne=new Ut({props:{title:"Other functions",local:"transformers.utils.logging.get_verbosity",headingTag:"h2"}}),oe=new w({props:{name:"transformers.utils.logging.get_verbosity",anchor:"transformers.utils.logging.get_verbosity",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.34.0/src/transformers/utils/logging.py#L138",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The logging level.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>int</code></p>
`}}),F=new ur({props:{$$slots:{default:[br]},$$scope:{ctx:be}}}),le=new w({props:{name:"transformers.utils.logging.set_verbosity",anchor:"transformers.utils.logging.set_verbosity",parameters:[{name:"verbosity",val:": int"}],parametersDescription:[{anchor:"transformers.utils.logging.set_verbosity.verbosity",description:`<strong>verbosity</strong> (<code>int</code>) &#x2014;
Logging level, e.g., one of:</p>
<ul>
<li><code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code></li>
<li><code>transformers.logging.ERROR</code></li>
<li><code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code></li>
<li><code>transformers.logging.INFO</code></li>
<li><code>transformers.logging.DEBUG</code></li>
</ul>`,name:"verbosity"}],source:"https://github.com/huggingface/transformers/blob/v4.34.0/src/transformers/utils/logging.py#L161"}}),ie=new w({props:{name:"transformers.utils.logging.get_logger",anchor:"transformers.utils.logging.get_logger",parameters:[{name:"name",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.34.0/src/transformers/utils/logging.py#L124"}}),ae=new w({props:{name:"transformers.utils.logging.enable_default_handler",anchor:"transformers.utils.logging.enable_default_handler",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.34.0/src/transformers/utils/logging.py#L209"}}),ge=new w({props:{name:"transformers.utils.logging.disable_default_handler",anchor:"transformers.utils.logging.disable_default_handler",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.34.0/src/transformers/utils/logging.py#L200"}}),me=new w({props:{name:"transformers.utils.logging.enable_explicit_format",anchor:"transformers.utils.logging.enable_explicit_format",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.34.0/src/transformers/utils/logging.py#L255"}}),k=new cr({props:{anchor:"transformers.utils.logging.enable_explicit_format.example",$$slots:{default:[vr]},$$scope:{ctx:be}}}),fe=new w({props:{name:"transformers.utils.logging.reset_format",anchor:"transformers.utils.logging.reset_format",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.34.0/src/transformers/utils/logging.py#L270"}}),de=new w({props:{name:"transformers.utils.logging.enable_progress_bar",anchor:"transformers.utils.logging.enable_progress_bar",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.34.0/src/transformers/utils/logging.py#L361"}}),pe=new w({props:{name:"transformers.utils.logging.disable_progress_bar",anchor:"transformers.utils.logging.disable_progress_bar",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.34.0/src/transformers/utils/logging.py#L368"}}),{c(){f=l("meta"),L=n(),h=l("p"),$=n(),d(_.$$.fragment),g=n(),y=l("p"),y.textContent=St,Se=n(),D=l("p"),D.innerHTML=Pt,Pe=n(),B=l("p"),B.textContent=Ft,Fe=n(),d(O.$$.fragment),ke=n(),W=l("p"),W.innerHTML=kt,De=n(),d(G.$$.fragment),Be=n(),Z=l("p"),Z.innerHTML=Dt,Oe=n(),d(j.$$.fragment),We=n(),q=l("p"),q.textContent=Bt,Ge=n(),d(X.$$.fragment),Ze=n(),Y=l("p"),Y.innerHTML=Ot,je=n(),z=l("ul"),z.innerHTML=Wt,qe=n(),K=l("p"),K.innerHTML=Gt,Xe=n(),d(Q.$$.fragment),Ye=n(),M=l("div"),d(ee.$$.fragment),ht=n(),ve=l("p"),ve.innerHTML=Zt,ze=n(),N=l("div"),d(te.$$.fragment),_t=n(),$e=l("p"),$e.innerHTML=jt,Ke=n(),J=l("div"),d(re.$$.fragment),yt=n(),he=l("p"),he.innerHTML=qt,Qe=n(),A=l("div"),d(se.$$.fragment),xt=n(),_e=l("p"),_e.innerHTML=Xt,et=n(),d(ne.$$.fragment),tt=n(),C=l("div"),d(oe.$$.fragment),Tt=n(),ye=l("p"),ye.textContent=Yt,wt=n(),d(F.$$.fragment),rt=n(),V=l("div"),d(le.$$.fragment),Ct=n(),xe=l("p"),xe.textContent=zt,st=n(),R=l("div"),d(ie.$$.fragment),Rt=n(),Te=l("p"),Te.textContent=Kt,Et=n(),we=l("p"),we.textContent=Qt,nt=n(),H=l("div"),d(ae.$$.fragment),Lt=n(),Ce=l("p"),Ce.textContent=er,ot=n(),U=l("div"),d(ge.$$.fragment),It=n(),Re=l("p"),Re.textContent=tr,lt=n(),I=l("div"),d(me.$$.fragment),Mt=n(),d(k.$$.fragment),Nt=fr(`
All handlers currently bound to the root logger are affected by this method.`),it=n(),E=l("div"),d(fe.$$.fragment),Jt=n(),Ee=l("p"),Ee.textContent=rr,At=n(),Le=l("p"),Le.textContent=sr,at=n(),S=l("div"),d(de.$$.fragment),Vt=n(),Ie=l("p"),Ie.textContent=nr,gt=n(),P=l("div"),d(pe.$$.fragment),Ht=n(),Me=l("p"),Me.textContent=or,mt=n(),Ve=l("p"),this.h()},l(e){const r=dr("svelte-u9bgzb",document.head);f=i(r,"META",{name:!0,content:!0}),r.forEach(t),L=o(e),h=i(e,"P",{}),x(h).forEach(t),$=o(e),p(_.$$.fragment,e),g=o(e),y=i(e,"P",{"data-svelte-h":!0}),m(y)!=="svelte-1pvcwri"&&(y.textContent=St),Se=o(e),D=i(e,"P",{"data-svelte-h":!0}),m(D)!=="svelte-knr825"&&(D.innerHTML=Pt),Pe=o(e),B=i(e,"P",{"data-svelte-h":!0}),m(B)!=="svelte-1us4yht"&&(B.textContent=Ft),Fe=o(e),p(O.$$.fragment,e),ke=o(e),W=i(e,"P",{"data-svelte-h":!0}),m(W)!=="svelte-ehwgnk"&&(W.innerHTML=kt),De=o(e),p(G.$$.fragment,e),Be=o(e),Z=i(e,"P",{"data-svelte-h":!0}),m(Z)!=="svelte-1d4vvlx"&&(Z.innerHTML=Dt),Oe=o(e),p(j.$$.fragment,e),We=o(e),q=i(e,"P",{"data-svelte-h":!0}),m(q)!=="svelte-xupc13"&&(q.textContent=Bt),Ge=o(e),p(X.$$.fragment,e),Ze=o(e),Y=i(e,"P",{"data-svelte-h":!0}),m(Y)!=="svelte-unsywf"&&(Y.innerHTML=Ot),je=o(e),z=i(e,"UL",{"data-svelte-h":!0}),m(z)!=="svelte-4tppnp"&&(z.innerHTML=Wt),qe=o(e),K=i(e,"P",{"data-svelte-h":!0}),m(K)!=="svelte-1bqcmbw"&&(K.innerHTML=Gt),Xe=o(e),p(Q.$$.fragment,e),Ye=o(e),M=i(e,"DIV",{class:!0});var ue=x(M);p(ee.$$.fragment,ue),ht=o(ue),ve=i(ue,"P",{"data-svelte-h":!0}),m(ve)!=="svelte-1ppk729"&&(ve.innerHTML=Zt),ue.forEach(t),ze=o(e),N=i(e,"DIV",{class:!0});var ce=x(N);p(te.$$.fragment,ce),_t=o(ce),$e=i(ce,"P",{"data-svelte-h":!0}),m($e)!=="svelte-12ljo43"&&($e.innerHTML=jt),ce.forEach(t),Ke=o(e),J=i(e,"DIV",{class:!0});var dt=x(J);p(re.$$.fragment,dt),yt=o(dt),he=i(dt,"P",{"data-svelte-h":!0}),m(he)!=="svelte-1ruccfv"&&(he.innerHTML=qt),dt.forEach(t),Qe=o(e),A=i(e,"DIV",{class:!0});var pt=x(A);p(se.$$.fragment,pt),xt=o(pt),_e=i(pt,"P",{"data-svelte-h":!0}),m(_e)!=="svelte-10c80ti"&&(_e.innerHTML=Xt),pt.forEach(t),et=o(e),p(ne.$$.fragment,e),tt=o(e),C=i(e,"DIV",{class:!0});var Ne=x(C);p(oe.$$.fragment,Ne),Tt=o(Ne),ye=i(Ne,"P",{"data-svelte-h":!0}),m(ye)!=="svelte-c6o18d"&&(ye.textContent=Yt),wt=o(Ne),p(F.$$.fragment,Ne),Ne.forEach(t),rt=o(e),V=i(e,"DIV",{class:!0});var ut=x(V);p(le.$$.fragment,ut),Ct=o(ut),xe=i(ut,"P",{"data-svelte-h":!0}),m(xe)!=="svelte-1pc8gq7"&&(xe.textContent=zt),ut.forEach(t),st=o(e),R=i(e,"DIV",{class:!0});var Je=x(R);p(ie.$$.fragment,Je),Rt=o(Je),Te=i(Je,"P",{"data-svelte-h":!0}),m(Te)!=="svelte-155a6rh"&&(Te.textContent=Kt),Et=o(Je),we=i(Je,"P",{"data-svelte-h":!0}),m(we)!=="svelte-7r9l0i"&&(we.textContent=Qt),Je.forEach(t),nt=o(e),H=i(e,"DIV",{class:!0});var ct=x(H);p(ae.$$.fragment,ct),Lt=o(ct),Ce=i(ct,"P",{"data-svelte-h":!0}),m(Ce)!=="svelte-1d9pjkh"&&(Ce.textContent=er),ct.forEach(t),ot=o(e),U=i(e,"DIV",{class:!0});var bt=x(U);p(ge.$$.fragment,bt),It=o(bt),Re=i(bt,"P",{"data-svelte-h":!0}),m(Re)!=="svelte-147u0ic"&&(Re.textContent=tr),bt.forEach(t),lt=o(e),I=i(e,"DIV",{class:!0});var He=x(I);p(me.$$.fragment,He),Mt=o(He),p(k.$$.fragment,He),Nt=pr(He,`
All handlers currently bound to the root logger are affected by this method.`),He.forEach(t),it=o(e),E=i(e,"DIV",{class:!0});var Ae=x(E);p(fe.$$.fragment,Ae),Jt=o(Ae),Ee=i(Ae,"P",{"data-svelte-h":!0}),m(Ee)!=="svelte-1yfjx32"&&(Ee.textContent=rr),At=o(Ae),Le=i(Ae,"P",{"data-svelte-h":!0}),m(Le)!=="svelte-3qpllw"&&(Le.textContent=sr),Ae.forEach(t),at=o(e),S=i(e,"DIV",{class:!0});var vt=x(S);p(de.$$.fragment,vt),Vt=o(vt),Ie=i(vt,"P",{"data-svelte-h":!0}),m(Ie)!=="svelte-1n9lbl5"&&(Ie.textContent=nr),vt.forEach(t),gt=o(e),P=i(e,"DIV",{class:!0});var $t=x(P);p(pe.$$.fragment,$t),Ht=o($t),Me=i($t,"P",{"data-svelte-h":!0}),m(Me)!=="svelte-4qd7jw"&&(Me.textContent=or),$t.forEach(t),mt=o(e),Ve=i(e,"P",{}),x(Ve).forEach(t),this.h()},h(){T(f,"name","hf:doc:metadata"),T(f,"content",hr),T(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){a(document.head,f),s(e,L,r),s(e,h,r),s(e,$,r),u(_,e,r),s(e,g,r),s(e,y,r),s(e,Se,r),s(e,D,r),s(e,Pe,r),s(e,B,r),s(e,Fe,r),u(O,e,r),s(e,ke,r),s(e,W,r),s(e,De,r),u(G,e,r),s(e,Be,r),s(e,Z,r),s(e,Oe,r),u(j,e,r),s(e,We,r),s(e,q,r),s(e,Ge,r),u(X,e,r),s(e,Ze,r),s(e,Y,r),s(e,je,r),s(e,z,r),s(e,qe,r),s(e,K,r),s(e,Xe,r),u(Q,e,r),s(e,Ye,r),s(e,M,r),u(ee,M,null),a(M,ht),a(M,ve),s(e,ze,r),s(e,N,r),u(te,N,null),a(N,_t),a(N,$e),s(e,Ke,r),s(e,J,r),u(re,J,null),a(J,yt),a(J,he),s(e,Qe,r),s(e,A,r),u(se,A,null),a(A,xt),a(A,_e),s(e,et,r),u(ne,e,r),s(e,tt,r),s(e,C,r),u(oe,C,null),a(C,Tt),a(C,ye),a(C,wt),u(F,C,null),s(e,rt,r),s(e,V,r),u(le,V,null),a(V,Ct),a(V,xe),s(e,st,r),s(e,R,r),u(ie,R,null),a(R,Rt),a(R,Te),a(R,Et),a(R,we),s(e,nt,r),s(e,H,r),u(ae,H,null),a(H,Lt),a(H,Ce),s(e,ot,r),s(e,U,r),u(ge,U,null),a(U,It),a(U,Re),s(e,lt,r),s(e,I,r),u(me,I,null),a(I,Mt),u(k,I,null),a(I,Nt),s(e,it,r),s(e,E,r),u(fe,E,null),a(E,Jt),a(E,Ee),a(E,At),a(E,Le),s(e,at,r),s(e,S,r),u(de,S,null),a(S,Vt),a(S,Ie),s(e,gt,r),s(e,P,r),u(pe,P,null),a(P,Ht),a(P,Me),s(e,mt,r),s(e,Ve,r),ft=!0},p(e,[r]){const ue={};r&2&&(ue.$$scope={dirty:r,ctx:e}),F.$set(ue);const ce={};r&2&&(ce.$$scope={dirty:r,ctx:e}),k.$set(ce)},i(e){ft||(c(_.$$.fragment,e),c(O.$$.fragment,e),c(G.$$.fragment,e),c(j.$$.fragment,e),c(X.$$.fragment,e),c(Q.$$.fragment,e),c(ee.$$.fragment,e),c(te.$$.fragment,e),c(re.$$.fragment,e),c(se.$$.fragment,e),c(ne.$$.fragment,e),c(oe.$$.fragment,e),c(F.$$.fragment,e),c(le.$$.fragment,e),c(ie.$$.fragment,e),c(ae.$$.fragment,e),c(ge.$$.fragment,e),c(me.$$.fragment,e),c(k.$$.fragment,e),c(fe.$$.fragment,e),c(de.$$.fragment,e),c(pe.$$.fragment,e),ft=!0)},o(e){b(_.$$.fragment,e),b(O.$$.fragment,e),b(G.$$.fragment,e),b(j.$$.fragment,e),b(X.$$.fragment,e),b(Q.$$.fragment,e),b(ee.$$.fragment,e),b(te.$$.fragment,e),b(re.$$.fragment,e),b(se.$$.fragment,e),b(ne.$$.fragment,e),b(oe.$$.fragment,e),b(F.$$.fragment,e),b(le.$$.fragment,e),b(ie.$$.fragment,e),b(ae.$$.fragment,e),b(ge.$$.fragment,e),b(me.$$.fragment,e),b(k.$$.fragment,e),b(fe.$$.fragment,e),b(de.$$.fragment,e),b(pe.$$.fragment,e),ft=!1},d(e){e&&(t(L),t(h),t($),t(g),t(y),t(Se),t(D),t(Pe),t(B),t(Fe),t(ke),t(W),t(De),t(Be),t(Z),t(Oe),t(We),t(q),t(Ge),t(Ze),t(Y),t(je),t(z),t(qe),t(K),t(Xe),t(Ye),t(M),t(ze),t(N),t(Ke),t(J),t(Qe),t(A),t(et),t(tt),t(C),t(rt),t(V),t(st),t(R),t(nt),t(H),t(ot),t(U),t(lt),t(I),t(it),t(E),t(at),t(S),t(gt),t(P),t(mt),t(Ve)),t(f),v(_,e),v(O,e),v(G,e),v(j,e),v(X,e),v(Q,e),v(ee),v(te),v(re),v(se),v(ne,e),v(oe),v(F),v(le),v(ie),v(ae),v(ge),v(me),v(k),v(fe),v(de),v(pe)}}}const hr='{"title":"Logging","local":"logging","sections":[{"title":"Base setters","local":"transformers.utils.logging.set_verbosity_error","sections":[],"depth":2},{"title":"Other functions","local":"transformers.utils.logging.get_verbosity","sections":[],"depth":2}],"depth":1}';function _r(be){return ar(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Lr extends gr{constructor(f){super(),mr(this,f,_r,$r,ir,{})}}export{Lr as component};
